import { OnInit } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { EuBpmnService } from 'ng2-easyui.core';
import { Model } from "ng2-easyui.core";
export declare class BpmnEditorComponent implements OnInit {
    private http;
    private euBpmnService;
    model: {
        params?: {
            key?: string;
            name?: string;
            description?: string;
            type?: string;
            processDefId?: string;
            moduleId?: string;
        };
        bpmnModel?: Model;
    };
    _bpmnModeler: any;
    _canvas: any;
    _curElement: any;
    _overlays: any;
    constructor(http: HttpClient, euBpmnService: EuBpmnService);
    ngOnInit(): void;
    initConfigListener(): void;
    initBpmn(BpmnModeler: any, BpmnViewer: any, propertiesPanelModule: any, propertiesProviderModule: any): void;
    private getProcessDefDiagram(processDefinitionId);
    private getBpmnModelerOrViewer();
    saveModel(): Promise<any>;
    onModalAction(action: any): Promise<any>;
    resetZoom(): void;
    zoomUp(): void;
    zoomDown(): void;
}
