import { ModalConfig } from './modal/modal-config';
export declare abstract class BaseAction {
    key: string;
    name: string;
    order?: number;
    icon?: string;
    iconType?: string;
    style?: string;
    modalConfig?: ModalConfig;
    constructor(options: {
        key: string;
        name: string;
        icon?: string;
        order?: number;
        style?: string;
        modalConfig?: ModalConfig;
    });
}
export interface OnAction {
    euOnAction(action: BaseAction): any;
}
