import { HttpClient } from '@angular/common/http';
import { Model } from './model';
export declare abstract class EuBpmnService {
    http: HttpClient;
    CamundaArray: {
        activiti: string[];
        camunda: string[];
    };
    activitiToCamundaAdapt(activitiXml: string): string;
    camundaToActivitiAdapt(camundaXml: string): string;
    constructor(http: HttpClient);
    abstract getModelInfo(modelId: string): Promise<{
        model: Model;
        bpmn2xml: string;
    }>;
    abstract saveModel(modelId: string, xml: string, svg?: string): Promise<any>;
    abstract getProcessDefDiagramXml(modelId: string): Promise<any>;
    abstract getHighLights(processInstanceId: any): Promise<any>;
}
