(function (global, factory) {
	typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('rxjs/add/operator/map'), require('rxjs/add/operator/catch'), require('@angular/core'), require('rxjs/add/operator/toPromise')) :
	typeof define === 'function' && define.amd ? define(['exports', 'rxjs/add/operator/map', 'rxjs/add/operator/catch', '@angular/core', 'rxjs/add/operator/toPromise'], factory) :
	(factory((global.core = global.core || {}),global.Rx.Observable.prototype,global.Rx.Observable.prototype,global.ng.core));
}(this, (function (exports,rxjs_add_operator_map,rxjs_add_operator_catch,_angular_core) { 'use strict';

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
/**
 * @abstract
 */
var EuPageService = (function () {
    function EuPageService(http) {
        this.http = http;
    }
    return EuPageService;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
/**
 * @abstract
 */
var BaseAction = (function () {
    function BaseAction(options) {
        this.key = options.key;
        this.name = options.name;
        this.icon = options.icon;
        this.order = options.order === undefined ? 999 : options.order;
        this.style = options.style;
        this.modalConfig = options.modalConfig;
    }
    return BaseAction;
}());
/**
 * @record
 */

var __extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var CURDAction = (function (_super) {
    __extends(CURDAction, _super);
    function CURDAction(options) {
        var _this = _super.call(this, options) || this;
        _this.curdType = options.curdType;
        return _this;
    }
    CURDAction.TYPE_CREATE = '1';
    CURDAction.TYPE_UPDATE = '2';
    CURDAction.TYPE_READ = '3';
    CURDAction.TYPE_DELETE = '4';
    CURDAction.TYPE_QUERY = '5';
    CURDAction.defaultAtcions = {
        TYPE_CREATE: {
            icon: 'add',
            style: "basic"
        },
        TYPE_UPDATE: {
            icon: 'mode_edit',
            style: "primary"
        },
        TYPE_QUERY: {
            icon: 'search',
            style: "accent"
        },
        TYPE_READ: {
            icon: 'sync',
            style: "accent"
        },
        TYPE_DELETE: {
            icon: 'delete_forever',
            style: "warn"
        },
    };
    CURDAction.CREATE = new CURDAction({
        key: "add", name: "新增", order: 1,
        curdType: CURDAction.TYPE_CREATE,
        icon: "add",
        // icon: CURDAction.defaultAtcions[CURDAction.TYPE_CREATE].icon
        style: "basic"
    });
    CURDAction.UPDATE = new CURDAction({
        key: "edit", name: "编辑", order: 2,
        curdType: CURDAction.TYPE_UPDATE,
        icon: "mode_edit",
        // icon: CURDAction.defaultAtcions[CURDAction.TYPE_UPDATE].icon
        style: "primary"
    });
    CURDAction.QUERY = new CURDAction({
        key: "refresh", name: "查询", order: 3,
        curdType: CURDAction.TYPE_QUERY,
        icon: "search",
        // icon: CURDAction.defaultAtcions[CURDAction.TYPE_QUERY].icon
        style: "accent"
    });
    CURDAction.READ = new CURDAction({
        key: "query", name: "刷新", order: 4,
        curdType: CURDAction.TYPE_READ,
        icon: "sync",
        // icon: CURDAction.defaultAtcions[CURDAction.TYPE_READ].icon
        style: "accent"
    });
    CURDAction.DELETE = new CURDAction({
        key: "delete", name: "删除", order: 5,
        curdType: CURDAction.TYPE_DELETE,
        icon: "delete_forever",
        // icon: CURDAction.defaultAtcions[CURDAction.TYPE_DELETE].icon
        style: "warn"
    });
    return CURDAction;
}(BaseAction));

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var EuGridOptions = (function () {
    function EuGridOptions(options) {
        this.multiboxonly = true;
        this.sortable = false;
        this.scrollrows = true;
        this.pgbuttons = true;
        this.pginput = true;
        this.viewrecords = true;
        this.toppager = false;
        this.altRows = true;
        this.shrinkToFit = true;
        this.forceFit = false;
        this.hiddengrid = false;
        this.hidegrid = true;
        //				gridstate:"visible",//定义当前表格的状态：'visible' or 'hidden'
        //				multikey: "ctrlKey",
        //		        prmNames:{page:"page",rows:"rows", sort:"sidx", order:"sord", search:"_search", nd:"nd", id:"id", oper:"oper", editoper:"edit", addoper:"add", deloper:"del", subgridid:"id", npage:null, totalrows:"totalrows"},
        this.cellEdit = false;
        //				ajaxGridOptions:
        //				ajaxSelectOptions:
        this.autoencode = true;
        this.gridview = false;
        this.rowDragManaged = true;
        this.gridId = options.gridId;
        this.url = options.url;
        this.primaryKey = options.primaryKey;
        this.multiselect = options.multiselect == undefined ? true : options.multiselect;
        this.title = options.title;
        this.queryfields = options.queryfields || [];
        this.mtype = options.mtype == undefined ? "get" : options.mtype;
        this.defaultActionModalConfig = options.defaultActionModalConfig;
        this.actions = options.defaultaction == true ? [
            CURDAction.CREATE,
            CURDAction.UPDATE,
            CURDAction.QUERY,
            CURDAction.READ,
            CURDAction.DELETE,
        ] : options.actions;
        this.rowNum = options.rowNum == undefined ? 10 : options.rowNum;
        this.postData = options.postData == undefined ? {} : options.postData;
        this.rowDragManaged = options.rowDragManaged == undefined ? false : options.rowDragManaged;
        this.sortable = options.sortable || false;
        this.suppressRowDrag = options.suppressRowDrag == undefined ? false : options.suppressRowDrag;
    }
    return EuGridOptions;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var EuGridEvent = (function () {
    function EuGridEvent(gridId, action, rowId, rowIds, rowData, rowDatas, data) {
        this.gridId = gridId;
        this.action = action;
        this.rowId = rowId;
        this.rowIds = rowIds;
        this.rowData = rowData;
        this.rowDatas = rowDatas;
        this.data = data;
    }
    return EuGridEvent;
}());

var __extends$1 = (undefined && undefined.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var EuGridAction = (function (_super) {
    __extends$1(EuGridAction, _super);
    function EuGridAction(options) {
        return _super.call(this, options) || this;
    }
    return EuGridAction;
}(BaseAction));

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var EuColModel = (function () {
    function EuColModel(options) {
        if (options === void 0) { options = {}; }
        this.headerName = options.headerName;
        this.field = options.field;
        this.width = options.width;
        this.formatter = options.formatter;
        this.hidden = options.hidden;
        this.key = options.key;
        this.align = options.align;
        this.classes = options.classes;
        this.sortable = options.sortable;
        this.resizable = options.resizable;
        this.fixed = options.frozen;
        this.index = options.index;
        this.dragable = options.dragable;
    }
    return EuColModel;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var Conditions = (function () {
    function Conditions(groupOp, rules, groups) {
        this.groupOp = groupOp;
        this.rules = rules;
        this.groups = groups;
    }
    return Conditions;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var Rule = (function () {
    function Rule(field, op, data) {
        this.field = field;
        this.op = op;
        this.data = data;
    }
    return Rule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var ModalConfig = (function () {
    function ModalConfig() {
    }
    return ModalConfig;
}());

var __extends$2 = (undefined && undefined.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var ModalAction = (function (_super) {
    __extends$2(ModalAction, _super);
    function ModalAction(options) {
        var _this = _super.call(this, options) || this;
        _this.isCancel = options.isCancel;
        _this.isClose = options.isClose;
        _this.isReset = options.isReset;
        return _this;
    }
    ModalAction.CANCEL = new ModalAction({ key: "cancel", name: "取消", order: 1, isCancel: true, style: "default" });
    ModalAction.SAVE = new ModalAction({ key: "save", name: "保存", order: 2, isClose: true, style: "primary" });
    ModalAction.CONFIRM = new ModalAction({ key: "confirm", name: "确定", order: 3, isClose: true, style: "primary" });
    return ModalAction;
}(BaseAction));

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
/**
 * @abstract
 */
var EuModalService = (function () {
    // _ref:ComponentRef<SimpleModalComponent>
    function EuModalService() {
        this._smodalstack = [];
    }
    EuModalService.decorators = [
        { type: _angular_core.Injectable },
    ];
    /** @nocollapse */
    EuModalService.ctorParameters = function () { return []; };
    return EuModalService;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
/**
 * @abstract
 */
var EuBpmnService = (function () {
    function EuBpmnService(http) {
        this.http = http;
        this.CamundaArray = {
            activiti: ["activiti:collection", "activiti:candidateUsers", "activiti:elementVariable"],
            camunda: ["camunda:collection", "camunda:candidateUsers", "camunda:elementVariable"]
        };
    }
    /**
     * @param {?} activitiXml
     * @return {?}
     */
    EuBpmnService.prototype.activitiToCamundaAdapt = /**
     * @param {?} activitiXml
     * @return {?}
     */
    function (activitiXml) {
        var _this = this;
        this.CamundaArray.activiti.forEach(function (str, index) {
            var /** @type {?} */ reg = "/" + str + "/ig";
            activitiXml = activitiXml.replace(eval(reg), _this.CamundaArray.camunda[index]);
        });
        return activitiXml;
    };
    /**
     * @param {?} camundaXml
     * @return {?}
     */
    EuBpmnService.prototype.camundaToActivitiAdapt = /**
     * @param {?} camundaXml
     * @return {?}
     */
    function (camundaXml) {
        var _this = this;
        this.CamundaArray.camunda.forEach(function (str, index) {
            var /** @type {?} */ reg = "/" + str + "/ig";
            camundaXml = camundaXml.replace(eval(reg), _this.CamundaArray.activiti[index]);
        });
        return camundaXml;
    };
    return EuBpmnService;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var Model = (function () {
    function Model() {
    }
    return Model;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
/**
 * @abstract
 */
var EuDictService = (function () {
    function EuDictService(http) {
        this.http = http;
    }
    return EuDictService;
}());

var __extends$3 = (undefined && undefined.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
/**
 * @abstract
 */
var EuTree = (function () {
    function EuTree() {
    }
    return EuTree;
}());
/**
 * @record
 */

/**
 * @abstract
 */
var EuTreeNode = (function () {
    function EuTreeNode() {
    }
    return EuTreeNode;
}());
var TreeEvent = (function () {
    function TreeEvent(options) {
        this.businessId = options.businessId;
        this.action = options.action;
        this.activeEuNodes = options.activeEuNodes;
        this.selectedEuNodes = options.selectedEuNodes;
        this.data = options.data;
    }
    return TreeEvent;
}());
var TreeAction = (function (_super) {
    __extends$3(TreeAction, _super);
    function TreeAction(options) {
        return _super.call(this, options) || this;
    }
    return TreeAction;
}(BaseAction));
var EuTreeOptions = (function () {
    function EuTreeOptions(options) {
        if (options === void 0) { options = {
            treeId: "defaultZtreeId",
            dataUrl: "dataUrl"
        }; }
        this.actions = [];
        //otherParam
        this.params = {};
        //自动提交参数
        this.autoParam = ["id", "pid"];
        //初始展开所有
        this.expendAll = false;
        //初始展开层级
        this.expendLevel = 1;
        //多选 按住ctrl键可多选
        this.selectedMulti = false;
        //勾选
        this.checkEnable = false;
        //checkbox 或 radio
        this.checkStyle = "checkbox";
        // Y 属性定义 checkbox 被勾选后的情况；
        // N 属性定义 checkbox 取消勾选后的情况；
        // "p" 表示操作会影响父级节点；
        // "s" 表示操作会影响子级节点。
        this.chkboxType = { "Y": "p", "N": "s" };
        // 设置自动关联勾选时是否触发 beforeCheck / onCheck 事件回调函数。
        this.autoCheckTrigger = false;
        this.treeId = options.treeId;
        this.dataUrl = options.dataUrl;
        this.actions = options.actions == undefined ? [] : options.actions;
        this.nameIsHTML = options.nameIsHTML == undefined ? false : options.nameIsHTML;
        this.params = options.params;
        this.autoParam = options.autoParam == undefined ? ["id", "pid"] : options.autoParam;
        this.expendAll = options.expendAll == undefined ? false : options.expendAll;
        this.expendLevel = options.expendLevel == undefined ? 1 : options.expendLevel;
        this.selectedMulti = options.selectedMulti == undefined ? false : options.selectedMulti;
        this.checkEnable = options.checkEnable == undefined ? false : options.checkEnable;
        this.checkStyle = options.checkStyle == undefined ? "checkbox" : options.checkStyle;
        this.chkboxType = options.chkboxType == undefined ? { "Y": "p", "N": "s" } : options.chkboxType;
        this.autoCheckTrigger = options.autoCheckTrigger == undefined ? false : options.autoCheckTrigger;
        this.nodeCheck = options.nodeCheck;
        this.nodeClick = options.nodeClick;
    }
    return EuTreeOptions;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
/**
 * @abstract
 */
var EuTreeService = (function () {
    function EuTreeService(http) {
        this.http = http;
    }
    return EuTreeService;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var Menu = (function () {
    function Menu(options) {
        this.id = options.id;
        this.i = options.i;
        this.t = options.t;
        this.l = options.l;
        this.isSelected = options.isSelected;
        this.c = options.c;
        this.active = options.active;
        this.parent = options.parent;
        this.o = options.o;
        this.e = options.e;
    }
    return Menu;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
/**
 * Generated bundle index. Do not edit.
 */

exports.EuPageService = EuPageService;
exports.EuGridOptions = EuGridOptions;
exports.EuGridEvent = EuGridEvent;
exports.EuGridAction = EuGridAction;
exports.EuColModel = EuColModel;
exports.Conditions = Conditions;
exports.Rule = Rule;
exports.BaseAction = BaseAction;
exports.CURDAction = CURDAction;
exports.ModalConfig = ModalConfig;
exports.ModalAction = ModalAction;
exports.EuModalService = EuModalService;
exports.EuBpmnService = EuBpmnService;
exports.Model = Model;
exports.EuDictService = EuDictService;
exports.EuTreeNode = EuTreeNode;
exports.EuTreeOptions = EuTreeOptions;
exports.TreeAction = TreeAction;
exports.TreeEvent = TreeEvent;
exports.EuTree = EuTree;
exports.EuTreeService = EuTreeService;
exports.Menu = Menu;

Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=core.umd.js.map
