import { BaseAction } from './action';
export declare class CURDAction extends BaseAction {
    static TYPE_CREATE: string;
    static TYPE_UPDATE: string;
    static TYPE_READ: string;
    static TYPE_DELETE: string;
    static TYPE_QUERY: string;
    static defaultAtcions: {
        TYPE_CREATE: {
            icon: string;
            style: string;
        };
        TYPE_UPDATE: {
            icon: string;
            style: string;
        };
        TYPE_QUERY: {
            icon: string;
            style: string;
        };
        TYPE_READ: {
            icon: string;
            style: string;
        };
        TYPE_DELETE: {
            icon: string;
            style: string;
        };
    };
    static CREATE: CURDAction;
    static UPDATE: CURDAction;
    static QUERY: CURDAction;
    static READ: CURDAction;
    static DELETE: CURDAction;
    curdType: string;
    constructor(options: BaseAction & {
        curdType: string;
    });
}
