import { BaseAction } from '../action';
import { FieldBase } from 'ng2-easyform';
import { ModalConfig } from '../modal/modal-config';
export declare class EuGridOptions {
    primaryKey: string;
    actions: BaseAction[];
    defaultActionModalConfig: ModalConfig;
    queryfields: FieldBase<any>[];
    title: string;
    gridId: string;
    url: string;
    postData: any;
    editurl: string;
    mtype: string;
    multiselect: boolean;
    multiboxonly: boolean;
    datatype: "json";
    sortable: boolean;
    suppressRowDrag: boolean;
    sortname: string;
    sortorder: string;
    multiSort: boolean;
    autowidth: boolean;
    height: number | string;
    width: number;
    rownumbers: boolean;
    scroll: boolean | number;
    scrollrows: boolean;
    scrollOffset: number;
    rowNum: number;
    rowList: Array<any>;
    pagerpos: string;
    pgbuttons: boolean;
    pginput: boolean;
    viewrecords: boolean;
    toolbar: Array<any>;
    toppager: boolean;
    altRows: boolean;
    altclass: "ui-priority-secondary";
    shrinkToFit: boolean;
    forceFit: boolean;
    hiddengrid: boolean;
    hidegrid: boolean;
    cellEdit: boolean;
    cellsubmit: 'remote';
    cellurl: "";
    autoencode: boolean;
    gridview: boolean;
    ajaxGridOptions: any;
    ajaxSelectOptions: any;
    rowDragManaged: boolean;
    constructor(options: {
        gridId: string;
        url: string;
        primaryKey: string;
        title: string;
        queryfields?: FieldBase<any>[];
        defaultActionModalConfig?: ModalConfig;
        actions?: Array<BaseAction>;
        defaultaction?: boolean;
        multiselect?: boolean;
        mtype?: string;
        rowNum?: number;
        postData?: any;
        rowDragManaged?: boolean;
        sortable?: boolean;
        suppressRowDrag?: boolean;
    });
}
