import { ChangeDetectorRef, EventEmitter, QueryList } from '@angular/core';
import { Router } from "@angular/router";
import { CdkAccordionItem, CdkAccordion } from "@angular/cdk/accordion";
import { UniqueSelectionDispatcher } from "@angular/cdk/collections";
import { Menu } from "ng2-easyui.core";
export declare class EuMenuComponent extends CdkAccordionItem {
    private router;
    menu: Menu;
    hideMenu: EventEmitter<void>;
    childActive: EventEmitter<void>;
    childrenMenus: QueryList<EuMenuComponent>;
    readonly id: string;
    active: boolean;
    childActived: boolean;
    hasChildren: boolean;
    /** Unregister function for _expansionDispatcher. */
    private _removeActiveUniqueSelectionListener;
    constructor(router: Router, accordion: CdkAccordion, _changeDetectorRef: ChangeDetectorRef, _uniqueSelectionDispatcher: UniqueSelectionDispatcher);
    menuClick(): void;
    private _activateLink();
    onChildActive(): void;
    onHideMenu(): void;
    /**
     *
     * @param link 激活指定link
     */
    activateLink(link: string): void;
    clearActive(): void;
    _getExpandedState(): "expanded" | "collapsed";
    _getExpandedIcon(): "expand_less" | "expand_more";
}
