import { OnInit, ViewContainerRef, ComponentFactoryResolver, ComponentRef } from '@angular/core';
import { MatDialogRef } from '@angular/material';
import { OnModalAction, ModalAction } from 'ng2-easyui.core';
export declare class ModalContainerComponent implements OnInit {
    private vcRef;
    private componentFactoryResolver;
    dialogRef: MatDialogRef<any>;
    data: any;
    euMdParams: {
        component;
        modalActions;
        title;
        message;
        success;
        dismiss;
    };
    title: string;
    actions: ModalAction[];
    cmpRef: ComponentRef<OnModalAction>;
    wrapperRef: ViewContainerRef;
    constructor(vcRef: ViewContainerRef, componentFactoryResolver: ComponentFactoryResolver, dialogRef: MatDialogRef<any>, data: any);
    onActionClick(action: ModalAction): void;
    ngOnInit(): void;
}
