import { OnInit, QueryList, AfterViewInit, EventEmitter } from '@angular/core';
import { SwipeSlideComponent } from './swipe-slide.component';
export declare class RichSwipeComponent implements OnInit, AfterViewInit {
    index: number;
    inOutStatus: string;
    show: boolean;
    constructor();
    slides: QueryList<SwipeSlideComponent>;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    indexChange: EventEmitter<number>;
    onIndexChange($event: any): void;
    onSwipeInit($event: any): void;
    slideChangeStart($event: any): void;
    slideChangeEnd($event: any): void;
    swiperTransitionStart($event: any): void;
    swiperTransitionEnd($event: any): void;
    getSlideByIndex(targetIndex: any): SwipeSlideComponent;
    log(tag: any): void;
}
