import { OnInit, ViewContainerRef, ComponentFactoryResolver } from '@angular/core';
import { Http } from '@angular/http';
import 'rxjs/add/observable/forkJoin';
export declare class BpmnViewerComponent implements OnInit {
    private http;
    private vcRef;
    private componentFactoryResolver;
    $model: {
        params?: {
            key?: string;
            name?: string;
            description?: string;
            type?: string;
            processDefId?: string;
            moduleId?: string;
            processInsId?: string;
        };
        model?: any;
    };
    _bpmnModeler: any;
    _curElement: any;
    _overlays: any;
    _dataUrl: string;
    _modalContext: {
        vcRef: ViewContainerRef;
        componentFactoryResolver: ComponentFactoryResolver;
    };
    constructor(http: Http, vcRef: ViewContainerRef, componentFactoryResolver: ComponentFactoryResolver);
    ngOnInit(): void;
    initBpmn(BpmnModeler: any, BpmnViewer: any, propertiesPanelModule: any, propertiesProviderModule: any): void;
    /**
     * 绿色的箭头，可以在path的style中用url链过来
     * @param id
     * @param options
     * @param canvas
     */
    addMarker(id: any, options: any, canvas: any): void;
    /**
     * 绿色的箭头，可以在path的style中用url链过来
     * @param svg
     *
     */
    addGreenEndMarker(): void;
    private getHighLights(processInstanceId);
    private getProcessDefDiagram(processDefinitionId);
    private getBpmnModelerOrViewer();
    onModalAction(action: any): void;
}
