export declare class EuColModel {
    headerName: string;
    field: string;
    checkboxSelection: boolean | Function;
    headerCheckboxSelection: boolean | Function;
    title: string;
    width: number | string;
    align: string;
    classes: string;
    fixed: boolean;
    frozen: boolean;
    hidedlg: boolean;
    hidden: boolean;
    index: string;
    key: boolean;
    resizable: boolean;
    sortable: boolean;
    dragable: boolean;
    formatter: (value, option, rowObject) => {} | string;
    constructor(options?: {
        align?: string;
        headerName?: string;
        field?: string;
        width?: number | string;
        formatter?: (value, option, rowObject) => {} | string;
        hidden?: boolean;
        key?: boolean;
        classes?: string;
        sortable?: boolean;
        resizable?: boolean;
        frozen?: boolean;
        index?: string;
        dragable?: boolean;
    });
}
