import { EuGridAction } from './grid.action';
export interface GridApi {
    onAction: (action: EuGridAction) => void;
    /**
     * 刷新列表
     * param:表格查询传递的参数对象{xx:xx,xxx:xxx}
     */
    refresh: (param?) => void;
    addParams: (params, fresh?: boolean) => void;
    removeParam: (paramName, fresh?) => void;
    setParams: (params, fresh?) => void;
    getRowData: (rowId) => {};
    getSingleSelectedRowId: () => string;
    getSelectedRowIds: () => string[];
    getSingleSelectedData: () => any;
    getSelectedDatas: () => Array<any>;
}
