import { OnInit } from '@angular/core';
import { BaseAction, OnAction } from "ng2-easyui.core";
import { MatMenuTrigger } from "@angular/material";
export declare class MatPanelComponent implements OnInit {
    actions: BaseAction[];
    /**
     * By default, toolbars use a neutral background color based on the current theme (light or dark). This can be changed to 'primary', 'accent', or 'warn'
     */
    color: string;
    height: string;
    minHeight: string;
    title: string;
    trigger: MatMenuTrigger;
    actionConponent: OnAction;
    _contentStyle: any;
    constructor();
    ngOnInit(): void;
    onAction(action: BaseAction): void;
    onMouseenterMore(event: any): void;
    onMouseleaveMore(event: any): void;
}
