import { OnInit } from '@angular/core';
import { Router, RouterLink, RouterLinkActive } from "@angular/router";
import { EuTabService } from "./eu-tab.service";
import { Menu } from "ng2-easyui.core";
export declare class MatContainerComponent implements OnInit {
    private router;
    euTabService: EuTabService;
    model: 'tab' | 'breadcrumb';
    indexTab: EuMatTab;
    routerLink: RouterLink;
    routerLinkActive: RouterLinkActive;
    breadcrumbMenus: Menu[];
    constructor(router: Router, euTabService: EuTabService);
    ngOnInit(): void;
    tabClose(tab: EuMatTab): void;
    isActive(tab: EuMatTab): boolean;
}
export interface EuMatTab {
    isIndex?: boolean;
    hash?: string;
    path: any[];
    fullPath: string;
    params?: any;
    queryParams?: any;
    label: string;
}
