import { ViewContainerRef, Type, ComponentFactoryResolver } from '@angular/core';
import { MatDialog, MatDialogConfig } from '@angular/material';
import 'rxjs/add/operator/toPromise';
import { ModalAction } from 'ng2-easyui.core';
import { ModalConfig } from 'ng2-easyui.core';
import { EuModalService } from 'ng2-easyui.core';
export declare class MdModalService extends EuModalService {
    dialog: MatDialog;
    _modal_context: {
        vcRef: ViewContainerRef;
        componentFactoryResolver: ComponentFactoryResolver;
    };
    _default_actions: Array<ModalAction>;
    _confirm_actions: Array<ModalAction>;
    _smodalstack: any[];
    constructor(dialog: MatDialog);
    openMdDialog<T extends Type<any>>(component: T, mdDialogConfig: MatDialogConfig, success?: Function, dismiss?: Function): void;
    openConfirm<T>(modalOptions: ModalConfig, success?: Function, dismiss?: Function): void;
    open(modalOptions: ModalConfig, success?: Function, dismiss?: Function): void;
    destroy(): void;
}
